get
https://api.instantpay.in/fi/remit/out/nepal/outletEkycInitiateStatus
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request Parameters
| Name | Requirement | Description |
|---|---|---|
| referenceKey | Optional | You will get from Initiate KYC for Outlet API |
Sample Request
GET /fi/remit/out/nepal/outletEkycInitiateStatus?referenceKey=INSFDh0009bd3ec0e-264f-40dc-a982-943b7c32e2a8-mxvrplwayxZt HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
X-Ipay-Outlet-Id: {{outletId}}
Content-Type: application/jsoncurl --location 'https://api.instantpay.in/fi/remit/out/nepal/outletEkycInitiateStatus?referenceKey=INSFDh0009bd3ec0e-264f-40dc-a982-943b7c32e2a8-mxvrplwayxZt' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'X-Ipay-Outlet-Id: {{outletId}}' \
--header 'Content-Type: application/json' \Response Parameters
| Name | Type | Description |
|---|---|---|
| statuscode | String | InstantPay Status Code |
| actcode | String | Action Code |
| status | String | Status Message |
| data | Data | Response Data (If Present) |
| timestamp | String | Current time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id ( If transaction otherwise it is null ) |
| enviroment | String | Live/Sandbox |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Transaction Successful",
"data": null,
"timestamp": "2023-01-03 10:39:07",
"ipay_uuid": "h00698221b50-9f93-416e-9799-fe858b0a5a8d",
"orderid": null,
"environment": "LIVE",
"internalCode": null
}
